[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'BaseUnix' (#rtl)

# FpLseek

Set file pointer position.

## Declaration

Source position: bunxh.inc line 92

`function FpLseek(`
`fd: cint;`
`offset: TOff;`
`whence: cint`
`):TOff;`

## Description

FpLSeek sets the current file position of file fd to Offset, starting from Whence, which can be one of the following:

Seek_Set
  Offset is the absolute position in the file.
Seek_Cur
  Offset is relative to the current position.
Seek_end
  Offset is relative to the end of the file.

The function returns the new file position, or -1 of an error occurred.

For an example, see FpOpen.

## Errors

Extended error information can be retrieved using fpGetErrno.

## See also

FpOpen |  | Open file and return file descriptor
FpWrite |  | Write data to file descriptor
FpClose |  | Close file descriptor
FpRead |  | Read data from file descriptor
FpFTruncate |  | Truncate file on certain size.